/**
 * This source code is licensed under the MIT-style license found in the
 * LICENSE file in the root directory of this source tree. *
 *
 * @providesModule JasmineEnzyme
 */

import addMatcher from './addMatcher';

import toBeChecked from './assertions/toBeChecked';
import toBeDisabled from './assertions/toBeDisabled';
import toBeEmpty from './assertions/toBeEmpty';
import toBePresent from './assertions/toBePresent';
import toContainReact from './assertions/toContainReact';
import toHaveClassName from './assertions/toHaveClassName';
import toHaveHTML from './assertions/toHaveHTML';
import toHaveProp from './assertions/toHaveProp';
import toHaveRef from './assertions/toHaveRef';
import toHaveState from './assertions/toHaveState';
import toHaveStyle from './assertions/toHaveStyle';
import toHaveTagName from './assertions/toHaveTagName';
import toHaveValue from './assertions/toHaveValue';
import toMatchSelector from './assertions/toMatchSelector';

export default function jasmineEnzyme() : void {
  addMatcher(toBeChecked);
  addMatcher(toBeDisabled);
  addMatcher(toBeEmpty);
  addMatcher(toBePresent);
  addMatcher(toContainReact);
  addMatcher(toHaveClassName);
  addMatcher(toHaveHTML);
  addMatcher(toHaveProp);
  addMatcher(toHaveRef);
  addMatcher(toHaveState);
  addMatcher(toHaveStyle);
  addMatcher(toHaveTagName);
  addMatcher(toHaveValue);
  addMatcher(toMatchSelector);
}
